Subject: [TOOLS-DEVELOPMENT] Tools PM

From: Alissa Cooper <[email-masked]>
Date: Thu, 16 Aug 2018 21:03:56 -0400

Hi all,

As people are probably aware, we have had changes in the oversight of IETF tools development this year with the dissolution of the IAOC’s Technology Management Committee (TMC). Discussions within the IESG in the wake of that have demonstrated the need for more committed resources to project manage the tools projects, as well as a clear interface between the people who come up with tools requirements (the IESG, the community, the RFC Editor, etc.) and the developers writing the code. If you’ve been following the iasa20 list you know that we are aiming to create the IETF Administration LLC within the next couple of weeks, after which there will be a transition process from IASA to the LLC which will last into next year. We don’t know if the tools project management needs will continue once the LLC is fully staffed — that will be for the LLC executive director and staff to decide — but we are at least 6 months away from that, which seems too long to put this off given the important tools work that we have going on right now. 

Based on discussions with Portia and a bunch of other folks, we have tapped Robert Sparks to take on this tools project management role in a paid, part-time capacity. His experience obviously makes him a natural fit to fill this interim need. I will be announcing this to the community on Friday so wanted to give everyone here a heads up.

Russ and I have been separately discussing some updates to the information available about the tools team on www.ietf.org and in the datatracker, so I’ll be sending an email about that to the community soon too.

Best,
Alissa